package it.cavallium.strangedb.database.blocks;

import java.util.Objects;
import java.util.StringJoiner;

public class BlockInfo {
	private final long index;
	private final int size;

	public BlockInfo(long index, int size) {
		this.index = index;
		this.size = size;
	}

	public long getIndex() {
		return index;
	}

	public int getSize() {
		return size;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		BlockInfo blockInfo = (BlockInfo) o;
		return index == blockInfo.index &&
						size == blockInfo.size;
	}

	@Override
	public int hashCode() {
		return Objects.hash(index, size);
	}

	@Override
	public String toString() {
		return new StringJoiner(", ", BlockInfo.class.getSimpleName() + "[", "]")
						.add("index=" + index)
						.add("size=" + size)
						.toString();
	}
}
