package it.cavallium.strangedb.database.references;

import java.util.Objects;
import java.util.StringJoiner;

public class ReferenceInfo {
	private final byte cleanerId;
	private final long blockId;

	public ReferenceInfo(byte cleanerId, long blockId) {
		this.cleanerId = cleanerId;
		this.blockId = blockId;
	}

	public byte getCleanerId() {
		return cleanerId;
	}

	public long getBlockId() {
		return blockId;
	}

	@Override
	public String toString() {
		return new StringJoiner(", ", ReferenceInfo.class.getSimpleName() + "[", "]")
						.add("cleanerId=" + cleanerId)
						.add("blockId=" + blockId)
						.toString();
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		ReferenceInfo that = (ReferenceInfo) o;
		return cleanerId == that.cleanerId &&
						blockId == that.blockId;
	}

	@Override
	public int hashCode() {
		return Objects.hash(cleanerId, blockId);
	}
}
